NorthAmericaCorpDefaultKey Class Reference

ISDA standard default contractual key for corporate US debt. More...

`#include <ql/experimental/credit/defaultprobabilitykey.hpp>`

Inheritance diagram for NorthAmericaCorpDefaultKey:
[legend]

## Public Member Functions

| NorthAmericaCorpDefaultKey (const Currency &currency, Seniority sen, Period graceFailureToPay=Period(30, Days), Real amountFailure=1.e6, Restructuring::Type resType=Restructuring::CR)
Public Member Functions inherited from DefaultProbKey
| DefaultProbKey (const std::vector< ext::shared_ptr< DefaultType > > &eventTypes, const Currency &cur, Seniority sen)
const Currency & | currency () const
Seniority | seniority () const
const std::vector< ext::shared_ptr< DefaultType > > & | eventTypes () const
Size | size () const

## Additional Inherited Members

Protected Attributes inherited from DefaultProbKey
std::vector< ext::shared_ptr< DefaultType > > | eventTypes_
| aggregation of event types for which the contract is sensitive.
Currency | obligationCurrency_
| Currency of the bond and protection leg payment.
Seniority | seniority_
| Reference bonds seniority.

## Detailed Description

ISDA standard default contractual key for corporate US debt.

Examples
  BasketLosses.cpp, and LatentModel.cpp.